## aacparse aacparse — AAC parser |

## Synopsis

                        GstAacParse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAudioBaseParseBad
                         +----GstAacParse

## Description

### Example launch line

This is an AAC parser. It can handle both ADIF and ADTS stream formats. The parser inherits from GstBaseParse and therefore in only needs to implement AAC-specific functionality.

As ADIF format is not framed, it is not seekable. From the same reason stream duration cannot be calculated either. Instead, AAC clips that are in ADTS format can be seeked, and parser also is able to calculate their playback position and clip duration.

    gst-launch filesrc location=abc.aac ! aacparse ! faad ! audioresample ! audioconvert ! alsasink

## Details

### GstAacParse

    typedef struct _GstAacParse GstAacParse;

The opaque GstAacParse data structure.

## See Also

GstAmrParse